Skip to main content
`Ctrl`+`K`

# SNESGetForceIteration

Check whether or not `SNESSolve()` take at least one iteration regardless of the initial residual norm

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetForceIteration(SNES snes, PetscBool *force)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- force - `PETSC_TRUE` requires at least one iteration.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetForceIteration()`, `SNESSetDivergenceTolerance()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages